## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEPrimaryKey

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PrimaryKey, ReferenceConstraint, SQLObject, TableConstraint, UniqueConstraint

All Known Implementing Classes:
  SybaseASECatalogPrimaryKey, SybaseASEPrimaryKeyImpl

    public interface SybaseASEPrimaryKey

extends PrimaryKey

A representation of the model object 'Sybase ASE Primary Key'.

The following features are supported:

- `Ase Unique Constraint`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEPrimaryKey()`

Method Summary
`SybaseASEUniqueConstraint` `getAseUniqueConstraint()` Returns the value of the 'Ase Unique Constraint' containment reference.
`void` `setAseUniqueConstraint(SybaseASEUniqueConstraint value)` Sets the value of the '`Ase Unique Constraint`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.UniqueConstraint
`getForeignKey`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAseUniqueConstraint

    SybaseASEUniqueConstraint getAseUniqueConstraint()

  Returns the value of the 'Ase Unique Constraint' containment reference.

  If the meaning of the 'Ase Unique Constraint' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ase Unique Constraint' containment reference.
  See Also:
    `setAseUniqueConstraint(SybaseASEUniqueConstraint)`, `SybaseasesqlmodelPackage.getSybaseASEPrimaryKey_AseUniqueConstraint()`

### setAseUniqueConstraint

    void setAseUniqueConstraint(SybaseASEUniqueConstraint value)

  Sets the value of the '`Ase Unique Constraint`' containment reference.

  Parameters:
    `value` - the new value of the 'Ase Unique Constraint' containment reference.
  See Also:
    `getAseUniqueConstraint()`